'use strict';

var packagePath = __dirname + '/../../package.json';

var gulp = require('gulp');
var path = require('path');
var $ = require('gulp-load-plugins')({config: path.normalize(packagePath)});

var config = {
    name: 'scripts:build',
    config: 'build',
    callback: callback
};

module.exports = config;

/////////////////////////////

// Optimize code
function callback(settings, done) {

    var files = settings.src.map(function(file){
        return file.replace(settings.paths.src, settings.paths.tmp);
    });

    return gulp.src(files)
        .pipe($.concat(settings.name+'.js'))
        .pipe(gulp.dest(settings.paths.build))
        .pipe($.uglify({preserveComments:'some'}).on('error', console.error))
        .pipe($.rename({
            suffix: '.min'
        }))
        .pipe(gulp.dest(settings.paths.build))
        .pipe($.size({title: 'scripts:uglify'}));
}
